Subject: Re: [RFC PATCH 0/7] Remove 4k subpage tracking with hash 64K config

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 03 Nov 2015 16:30:21 +1100

On Tue, 2015-11-03 at 10:38 +0530, Aneesh Kumar K.V wrote:
> I also ran mmtest configs/config-global-dhp__pagealloc-performance
> config with changes including this series. (ie, the changes tested
> include two patch series, one which change the pte format and this
> series). I am attaching the results below. I removed the pagealloc
> performance numbers from that because it was giving me all 00 which I
> assume is due to systemtap script issue.
> 
> We don't see any performance impact with the series and some of the
> performance change is withing the variance of test run as indicated by
> the numbers below. We do find less page fault and in some case better
> autonuma numbers 

Did you try under pHyp (ie. hit all those H_READ ?).

The easy way to do that is comment out 64K support in htab init to
force 4k demotion allways.

That would give you an idea of the impact on things like old P4/P5

Cheers,
Ben.